Bug 262886 - [exp-run] devel/cmake: Update to 3.23.0
Summary: [exp-run] devel/cmake: Update to 3.23.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-28 14:11 UTC by Loïc Bartoletti
Modified: 2022-05-16 07:14 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
devel/cmake: Update to 3.22.3 (1.58 KB, patch)
2022-03-28 14:11 UTC, Loïc Bartoletti
no flags Details | Diff
devel/cmake: Update to 3.23.0 (27.22 KB, patch)
2022-03-30 05:37 UTC, Loïc Bartoletti
no flags Details | Diff
devel/cmake: Update to 3.22.3 v2 - share/man (265.91 KB, patch)
2022-04-14 14:27 UTC, Loïc Bartoletti
no flags Details | Diff
devel/cmake: Update to 3.22.3 v3 - rebased (271.04 KB, patch)
2022-04-14 19:02 UTC, Loïc Bartoletti
no flags Details | Diff
devel/cmake: Update to 3.22.3 v4 - fixed (303.90 KB, patch)
2022-05-04 20:07 UTC, Loïc Bartoletti
no flags Details | Diff
devel/cmake: Update to 3.22.3 v5 - rebased (303.35 KB, patch)
2022-05-10 13:54 UTC, Loïc Bartoletti
no flags Details | Diff
devel/cmake: Update to 3.22.3 v6 - fixed and rebased (303.55 KB, patch)
2022-05-12 14:44 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2022-03-28 14:11:27 UTC
Created attachment 232779 [details]
devel/cmake: Update to 3.22.3

Hi,

kde@ would like to ask for an exp-run for the update to CMake 3.22.2. Patch is attached, applies to git main.

Thanks, 

Loïc
Comment 1 Loïc Bartoletti freebsd_committer 2022-03-30 05:37:19 UTC
Created attachment 232810 [details]
devel/cmake: Update to 3.23.0
Comment 2 Antoine Brodin freebsd_committer 2022-03-31 08:47:43 UTC
There is a problem with this version, man pages seem to be installed in a different path which causes lots of plist issues.

For instance:

http://package22.nyi.freebsd.org/data/130amd64-default-foo/2022-03-31_08h01m42s/logs/errors/libxml2-2.9.13.log
http://package22.nyi.freebsd.org/data/130amd64-default-foo/2022-03-31_08h01m42s/logs/errors/zziplib-0.13.72_1.log

And those 2 ports alone cause more than 10k skipped
Comment 3 Adriaan de Groot freebsd_committer 2022-04-10 15:13:40 UTC
From CHANGES:

20200115:
AUTHOR: bapt@FreeBSD.org

  ${PREFIX}/share/man is now a valid location for manpages ${PREFIX}/man being
  considered as deprecated.

This CMake update lands that as default for CMake-based ports, but that **does** bring huge plist-changes to all consumers. I don't see a good way to do that in small batches: zziplib, for instance, needs to have share/ inserted in the plist. We could do some prepwork, I guess, before updating CMake by doing some plist-substitution tricks: maybe substitute CMAKEMAN -> man/ right now (set in cmake.mk), and land that for all cmake-consumers individually, then with the CMake update change the substitution to CMAKEMAN -> share/man/ ?
Comment 4 Antoine Brodin freebsd_committer 2022-04-10 18:44:38 UTC
(In reply to Adriaan de Groot from comment #3)
I am not sure that this is the problem,  if you look at the failure logs the man pages seem to be not installed in the stagedir
Comment 5 Loïc Bartoletti freebsd_committer 2022-04-14 14:27:03 UTC
Created attachment 233217 [details]
devel/cmake: Update to 3.22.3 v2 - share/man
Comment 6 Loïc Bartoletti freebsd_committer 2022-04-14 19:02:34 UTC
Created attachment 233224 [details]
devel/cmake: Update to 3.22.3 v3 - rebased
Comment 7 Antoine Brodin freebsd_committer 2022-04-16 08:31:26 UTC
The sysutils/fusefs-securefs part does not look good, it will conflict with the cryptopp port/package.
Comment 9 Loïc Bartoletti freebsd_committer 2022-05-04 20:07:40 UTC
Created attachment 233727 [details]
devel/cmake: Update to 3.22.3 v4 - fixed
Comment 10 Antoine Brodin freebsd_committer 2022-05-09 17:51:17 UTC
can you refresh the patch?

error: patch failed: devel/orcania/pkg-plist:5
error: devel/orcania/pkg-plist: patch does not apply
error: patch failed: math/primecount/pkg-plist:5
error: math/primecount/pkg-plist: patch does not apply
error: patch failed: math/primesieve/pkg-plist:13
error: math/primesieve/pkg-plist: patch does not apply
error: patch failed: textproc/uim-qt5/pkg-plist:6
error: textproc/uim-qt5/pkg-plist: patch does not apply
error: patch failed: www/ulfius/pkg-plist:5
error: www/ulfius/pkg-plist: patch does not apply
Comment 11 Loïc Bartoletti freebsd_committer 2022-05-10 13:54:37 UTC
Created attachment 233837 [details]
devel/cmake: Update to 3.22.3 v5 - rebased
Comment 13 Loïc Bartoletti freebsd_committer 2022-05-12 14:44:02 UTC
Created attachment 233873 [details]
devel/cmake: Update to 3.22.3 v6 - fixed and rebased

I don't know if it's worth doing a new exp-run? There are no ports dependent upon these ports.
Comment 14 Antoine Brodin freebsd_committer 2022-05-13 20:25:18 UTC
Exp-run looks fine
Comment 15 commit-hook freebsd_committer 2022-05-16 06:57:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2d34c2bfeaa82867acfa7d73bec9644b2acecbb1

commit 2d34c2bfeaa82867acfa7d73bec9644b2acecbb1
Author:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
AuthorDate: 2022-03-30 05:34:51 +0000
Commit:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
CommitDate: 2022-05-16 06:49:43 +0000

    devel/cmake: Update to 3.23.0

    Update to 3.23.0.
    Fix pkg-plist: using the default share/man location

    Release Notes:
      https://cmake.org/cmake/help/v3.23/release/3.23.html

    PR:             262886
    Exp-run by:     antoine

 archivers/innoextract/Makefile                   |   2 +-
 archivers/libzip/pkg-plist                       | 244 ++++++------
 archivers/unshield/pkg-plist                     |   2 +-
 astro/libosmpbf/pkg-plist                        |   2 +-
 audio/audacity/pkg-plist                         |   2 +-
 audio/ccaudio2/pkg-plist                         |   4 +-
 audio/dmidiplayer/pkg-plist                      |   2 +-
 audio/drumkv1-lv2/pkg-plist                      |   4 +-
 audio/drumstick/pkg-plist                        |  20 +-
 audio/hydrogen/pkg-plist                         |   2 +-
 audio/libopenshot-audio/pkg-plist                |   2 +-
 audio/opustags/Makefile                          |   2 +-
 audio/padthv1-lv2/pkg-plist                      |   4 +-
 audio/qjackctl/pkg-plist                         |   4 +-
 audio/qmidictl/pkg-plist                         |   4 +-
 audio/qmidinet/pkg-plist                         |   4 +-
 audio/qsampler/pkg-plist                         |   4 +-
 audio/qsynth/pkg-plist                           |   4 +-
 audio/qtractor/pkg-plist                         |   4 +-
 audio/qxgedit/pkg-plist                          |   4 +-
 audio/samplv1-lv2/pkg-plist                      |   4 +-
 audio/synthv1-lv2/pkg-plist                      |   4 +-
 audio/vmpk/pkg-plist                             |   2 +-
 audio/welle.io/pkg-plist                         |   2 +-
 audio/yoshimi/pkg-plist                          |   2 +-
 biology/seqan-apps/pkg-plist                     |   2 +-
 cad/gmsh/pkg-plist                               |   2 +-
 comms/wsjtx/pkg-plist                            |  38 +-
 comms/wsjtz/pkg-plist                            |  38 +-
 databases/ejdb/pkg-plist                         |   4 +-
 databases/iowow/pkg-plist                        |   2 +-
 deskutils/ausweisapp2/pkg-plist                  |   2 +-
 deskutils/copyq/pkg-plist                        |   2 +-
 deskutils/ydotool/Makefile                       |   4 +-
 devel/bear/pkg-plist                             |   6 +-
 devel/cmake-doc/Makefile                         |   2 +-
 devel/cmake-doc/pkg-plist                        |   2 -
 devel/cmake-gui/Makefile                         |   2 +-
 devel/cmake/Makefile                             |   3 +-
 devel/cmake/distinfo                             |   6 +-
 devel/cmake/files/patch-cmake-issue-18031 (gone) | 200 ----------
 devel/cmake/pkg-plist                            | 121 ++++--
 devel/include-what-you-use/pkg-plist             |   2 +-
 devel/kms-cmake-utils/Makefile                   |   2 +-
 devel/orcania/pkg-plist                          |   2 +-
 devel/ucommon/pkg-plist                          |  22 +-
 devel/zapcc/pkg-plist                            |   2 +-
 devel/zziplib/pkg-plist                          | 180 ++++-----
 editors/codelite/pkg-plist                       |   6 +-
 editors/editorconfig-core-c/pkg-plist            |   8 +-
 emulators/fceux/pkg-plist                        |   3 +-
 emulators/mgba/pkg-plist                         |   4 +-
 emulators/nemu/pkg-plist                         |   2 +-
 finance/gnucash/pkg-plist                        |   8 +-
 finance/ktoblzcheck/pkg-plist                    |   4 +-
 games/dreamchess/Makefile                        |   4 +-
 games/flare-engine/Makefile                      |   2 +-
 games/flare-engine/pkg-plist                     |   2 +-
 games/instead/Makefile                           |   2 +-
 games/instead/pkg-plist                          |   2 +-
 games/lugaru/pkg-plist                           |   2 +-
 games/moonlight-embedded/pkg-plist               |   2 +-
 games/opendungeons/Makefile                      |   4 -
 games/opendungeons/pkg-plist                     |   2 +-
 games/openrct2/pkg-plist                         |   4 +-
 games/openttd/pkg-plist                          |   2 +-
 games/pentobi/pkg-plist                          |  16 +-
 games/qnetwalk/pkg-plist                         |   2 +-
 games/warzone2100/pkg-plist                      |   2 +-
 games/wesnoth/pkg-plist                          | 105 +++--
 graphics/ansilove/Makefile                       |   2 +-
 graphics/darktable/pkg-plist                     |  40 +-
 graphics/dcmtk/pkg-plist                         | 118 +++---
 graphics/embree/pkg-plist                        | 226 +++++------
 graphics/exiv2/pkg-plist                         |   2 +-
 graphics/flif/pkg-plist                          |   2 +-
 graphics/gmic/pkg-plist                          |   2 +-
 graphics/inkscape/pkg-plist                      |  28 +-
 graphics/jasper/pkg-plist                        |   8 +-
 graphics/libansilove/pkg-plist                   |  26 +-
 graphics/libqrencode/Makefile                    |   6 +-
 graphics/pdfpc/pkg-plist                         |   4 +-
 graphics/poppler-utils/pkg-plist                 |  26 +-
 graphics/timg/Makefile                           |   2 +-
 graphics/tslib/pkg-plist                         |  60 +--
 irc/kvirc/Makefile                               |   2 +-
 irc/znc/pkg-plist                                |   4 +-
 lang/cling/pkg-plist                             |   2 +-
 lang/opencoarrays/pkg-plist                      |   4 +-
 mail/spmfilter-clamav/Makefile                   |   4 -
 mail/spmfilter-clamav/pkg-plist                  |   2 +-
 math/cgal/pkg-plist                              |   2 +-
 math/dune-common/pkg-plist                       |   3 +-
 math/nlopt/pkg-plist                             |   6 +-
 math/primecount/pkg-plist                        |   2 +-
 math/primesieve/pkg-plist                        |   2 +-
 math/rumur/pkg-plist                             |  12 +-
 misc/libsolv/pkg-plist                           |  34 +-
 misc/libsweep-lidar/pkg-plist                    |   2 +-
 misc/ompl/pkg-plist                              |   4 +-
 misc/xiphos/pkg-plist                            |   4 +-
 multimedia/ffmpegthumbnailer/pkg-plist           |   2 +-
 multimedia/kodi/Makefile                         |   4 +-
 multimedia/kodi/pkg-plist                        |   4 +-
 multimedia/mlt6/Makefile                         |   2 +-
 multimedia/mlt6/pkg-plist                        |   2 +-
 multimedia/mlt7/pkg-plist                        |   2 +-
 multimedia/simplescreenrecorder/pkg-plist        |   3 +-
 multimedia/snapcast/pkg-plist                    |   4 +-
 net-im/uTox/pkg-plist                            |   2 +-
 net-mgmt/icinga2/Makefile                        |   1 -
 net-mgmt/rtrlib/pkg-plist                        |   4 +-
 net-p2p/transmission-cli/pkg-plist               |   2 +-
 net-p2p/transmission-daemon/pkg-plist            |   2 +-
 net-p2p/transmission-gtk/pkg-plist               |   2 +-
 net-p2p/transmission-qt/pkg-plist                |   2 +-
 net-p2p/transmission-utils/pkg-plist             |   8 +-
 net/librsync/pkg-plist                           |   4 +-
 net/libyang/pkg-plist                            |   4 +-
 net/mosquitto/pkg-plist                          |  22 +-
 net/remmina/pkg-plist                            |   4 +-
 net/wireshark/pkg-plist                          |  42 +-
 print/fontforge/pkg-plist                        |   8 +-
 print/miktex/pkg-plist                           |  34 +-
 print/scribus-devel/pkg-plist                    |   7 +-
 science/getdp/pkg-plist                          |   2 +-
 science/gromacs/pkg-plist                        | 200 +++++-----
 science/lammps/pkg-plist                         |   2 +-
 science/openbabel/pkg-plist                      |  40 +-
 science/openmc/pkg-plist                         |   2 +-
 science/segyio/pkg-plist                         |   8 +-
 science/votca/pkg-plist                          |  70 ++--
 security/clamav/pkg-plist                        |  26 +-
 security/gost-engine/Makefile                    |   2 +-
 security/gost-engine/pkg-plist                   |   4 +-
 security/keepassxc/pkg-plist                     |   4 +-
 security/lastpass-cli/Makefile                   |   2 +-
 security/libfido2/pkg-plist                      | 488 +++++++++++------------
 security/minisign/Makefile                       |   2 +-
 security/rnp/pkg-plist                           |   6 +-
 shells/fish/pkg-plist                            |   6 +-
 sysutils/agedu/Makefile                          |   2 +-
 sysutils/bareos-server/pkg-plist                 |  26 +-
 sysutils/bareos-server/pkg-plist.client          |  10 +-
 sysutils/bareos18-server/pkg-plist               |  30 +-
 sysutils/bareos18-server/pkg-plist.client        |   6 +-
 sysutils/bareos19-server/pkg-plist               |  32 +-
 sysutils/bareos19-server/pkg-plist.client        |   6 +-
 sysutils/bareos20-server/pkg-plist               |  32 +-
 sysutils/bareos20-server/pkg-plist.client        |   6 +-
 sysutils/cloudabi-utils/pkg-plist                |   2 +-
 sysutils/fusefs-unionfs/Makefile                 |   2 +-
 sysutils/jstest-gtk/pkg-plist                    |   2 +-
 sysutils/libptytty/pkg-plist                     |   2 +-
 sysutils/synergy/Makefile                        |   2 +-
 sysutils/synergy/pkg-plist                       |   4 +-
 sysutils/ttyd/Makefile                           |   2 +-
 textproc/cg3/pkg-plist                           |  10 +-
 textproc/cmark/pkg-plist                         |   4 +-
 textproc/md4c/pkg-plist                          |   2 +-
 textproc/sdcv/pkg-plist                          |   4 +-
 textproc/uncrustify/Makefile                     |   2 +-
 textproc/xlnt/pkg-plist                          |   2 +-
 www/faup/pkg-plist                               |   2 +-
 www/h2o-devel/pkg-plist                          |   4 +-
 www/hiawatha/pkg-plist                           |  10 +-
 www/logswan/Makefile                             |   2 +-
 www/otter-browser/pkg-plist                      |   2 +-
 www/ulfius/pkg-plist                             |   2 +-
 x11-fonts/bdf2sfd/Makefile                       |   2 +-
 x11-fonts/fntsample/Makefile                     |   2 +-
 x11/gromit-mpx/pkg-plist                         |   2 +-
 x11/roxterm/pkg-plist                            |   4 +-
 x11/sddm/pkg-plist                               |   8 +-
 x11/slop/Makefile                                |   2 +-
 x11/tint/pkg-plist                               |   2 +-
 x11/virtualgl/pkg-plist                          |   1 -
 x11/xfce4-whiskermenu-plugin/pkg-plist           |   2 +-
 178 files changed, 1482 insertions(+), 1599 deletions(-)
Comment 16 Loïc Bartoletti freebsd_committer 2022-05-16 07:14:55 UTC
Many thanks for exp-run antoine!